% Figure 1
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');

 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
    
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors;  
  
  % Plot Aggregate Inflation
  % Figure 1:  Plot of aggregate inflation
  ax_fs = 25;
  plot(calvec,dp_agg,'- k','LineWidth',3);
  xlim([2000 2020]);
  ylabel('Percentage Points (PAAR)');
  ax = gca;
  ax.FontSize = ax_fs;
  figure_to_png(figdir,'Figure_1');
  close(gcf);
  
  path(p1);
  