% Figure 1
%


clear all;
small = 1.0e-10;
big = 1.0e+6;     
rng(63761);

p1 = path;
path(p1,'../m_utilities');
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
    
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors;  
  
   aa = { ...
      'A. ' ...
      'B. ' ...
      'C. ' ...
      'D. ' ...
      'E. ' ...
      'F. ' ...
      'G. ' ...
      'H. ' ...
      'I. ' ...
      'J. ' ...
      'K. ' ...
      'L. ' ...
      'M. ' ...
      'N. ' ...
 };

  % 13 Sectors;
  ax_fs = 20;
  figure;
  for i = 1:13
      subplot(5,3,i);
      plot(calvec,dp_disagg(:,i),'- k','LineWidth',3);
      xlim([2000 2020]);
      ax = gca;
      ax.FontSize = ax_fs;
      m1 = min(dp_disagg(:,i));
      m2 = max(dp_disagg(:,i));
      y1 = 5*(floor(m1/5));
      y2 = 5*(ceil(m2/5));
      ylim([y1 y2]);
      stra = char(aa(i));
      str = char(namevec_disagg(i));
      title([stra str]);
  end;
  figure_to_png(figdir,'Figure_2');
  close(gcf);
  
  path(p1);
 
  
  
  