% Figure 1
%


clear all;
small = 1.0e-10;
big = 1.0e+6;                  
rng(63761);

p1 = path;
path(p1,'../m_utilities');
 
 % -- File Directories  
  outdir = 'out/';
  figdir = 'fig/';
  matdir = 'mat/';
    
  load_data = 1;  % 1 if reloading data from Excel, etc 
  hicp_data_13_sectors; 
  nper = 4;
  
  ismpl1 = smpl(calvec,[2001 1],[2018 1],4);
  ismpl2 = smpl(calvec,[2001 1],[2009 4],4);
  ismpl3 = smpl(calvec,[2010 1],[2018 1],4);
  
  % Print out shares
  M1 = mean(w_disagg(ismpl1==1,:));
  M2 = mean(w_disagg(ismpl2==1,:));
  M3 = mean(w_disagg(ismpl3==1,:));
  tmp = [M1' M2' M3'];
  str_out = [outdir 'Table_1.csv'];
  fid_out =  fopen(str_out,'w');
  for i = 1:13;
      str = char(namevec_disagg(i));
      fprintf(fid_out,[str ',']);
      fprintf(fid_out,'%5.2f,,%5.2f,%5.2f \n',tmp(i,:));
  end;
  
  path(p1);
          